curl https://api.getagentdrive.com/v0/keys \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "key_abc123",
"key_prefix": "agd_sk_live_abcd",
"name": "CI/CD Pipeline",
"scope": "read-write",
"created_at": "2026-03-19T10:00:00Z",
"last_used_at": "2026-03-19T14:30:00Z"
}
]
API Keys
List API Keys
List all API keys for your account.
GET
/
v0
/
keys
curl https://api.getagentdrive.com/v0/keys \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "key_abc123",
"key_prefix": "agd_sk_live_abcd",
"name": "CI/CD Pipeline",
"scope": "read-write",
"created_at": "2026-03-19T10:00:00Z",
"last_used_at": "2026-03-19T14:30:00Z"
}
]
curl https://api.getagentdrive.com/v0/keys \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "key_abc123",
"key_prefix": "agd_sk_live_abcd",
"name": "CI/CD Pipeline",
"scope": "read-write",
"created_at": "2026-03-19T10:00:00Z",
"last_used_at": "2026-03-19T14:30:00Z"
}
]
Response
Returns an array of API key objects. The full key value is never returned after creation.string
Unique identifier for the API key.
string
A prefix of the key for identification purposes.
string
The name of the API key.
string
The access scope:
"read-write" or "read-only".string
ISO 8601 timestamp of when the key was created.
string
ISO 8601 timestamp of when the key was last used, or
null.